# PhasicFlow: empty Class Reference

empty Class Reference
Inheritance diagram for empty:
[legend]
Collaboration diagram for empty:
[legend]

## Public Member Functions

| TypeInfo ("empty")
| empty (const dictionary &dict)
| add_vCtor (positionParticles, empty, dictionary)
virtual | ~empty ()=default
virtual label | numPoints () const
virtual label | size () const
real | maxDiameter () const override
virtual const realx3Vector & | position () const
virtual realx3Vector & | position ()
Public Member Functions inherited from positionParticles
| TypeInfo ("positionParticles")
| positionParticles (const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(const dictionary &dict),(dict))
virtual | ~positionParticles ()=default
virtual realx3Vector | getFinalPosition ()

## Protected Attributes

dictionary | emptyDict_
realx3Vector | position_
Protected Attributes inherited from positionParticles
uniquePtr< regionBase > | region_ = nullptr
size_t | maxNumberOfParticles_ = 10000
Logical | mortonSorting_

## Additional Inherited Members

Static Public Member Functions inherited from positionParticles
static uniquePtr< positionParticles > | create (const dictionary &dict)
Protected Member Functions inherited from positionParticles
realx3Vector | sortByMortonCode (realx3Vector &position) const
Static Protected Attributes inherited from positionParticles
static const size_t | numReports_ = 40

## Detailed Description

Definition at line 31 of file empty.hpp.

## Constructor & Destructor Documentation

## empty()

empty | ( | const dictionary & | dict | ) |

Definition at line 25 of file empty.cpp.

## ~empty()

virtual ~empty | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "empty" |  | ) |

## add_vCtor()

add_vCtor | ( | positionParticles | ,
|  | empty | ,
|  | dictionary |
| ) |  |

## numPoints()

virtual label numPoints | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 59 of file empty.hpp.

## size()

virtual label size | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 64 of file empty.hpp.

## maxDiameter()

real maxDiameter | ( |  | ) | const

inlineoverridevirtual

Implements positionParticles.

Definition at line 69 of file empty.hpp.

## position() [1/2]

virtual const realx3Vector& position | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 75 of file empty.hpp.

References empty::position_.

## position() [2/2]

virtual realx3Vector& position | ( |  | ) |

inlinevirtual

Implements positionParticles.

Definition at line 81 of file empty.hpp.

References empty::position_.

## Member Data Documentation

## emptyDict_

dictionary emptyDict_

protected

Definition at line 37 of file empty.hpp.

## position_

realx3Vector position_

protected

Definition at line 40 of file empty.hpp.

Referenced by empty::position().

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/empty/empty.hpp
- utilities/particlesPhasicFlow/empty/empty.cpp